### Virtual Method

# Secret Service prompt_async

#### Declaration [src]

    void
    prompt_async (
      SecretService* self,
      SecretPrompt* prompt,
      const GVariantType* return_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`prompt` | `SecretPrompt`
| No description available.
| The data is owned by the caller of the function.
`return_type` | `GVariantType`
| No description available.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.